tigase.util

## Class StringUtilities

- java.lang.Object
- - tigase.util.StringUtilities

-     public class StringUtilities
      extends Object

  Class with string utilities, mostly helping with canonical representation of String
  Author:
    Wojciech Kapcia

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `intArrayToString(int[] arr, String separator)` Concatenate all elements of input array inserting separator between each
    `static String[]` | `internStringArray(String[] in)` Process all strings of an array using .intern()
    `static String` | `stringArrayToString(String[] arr, String separator)` Concatenate all elements of input array inserting separator between each
    `static String[]` | `stringToArrayOfString(String in, String splitter)` Split string into an Array of Strings using provided splitter, output array is interned

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtilities

          public StringUtilities()

  - ### Method Detail

    - #### stringToArrayOfString

          public static String[] stringToArrayOfString(String in,
                                                       String splitter)

      Split string into an Array of Strings using provided splitter, output array is interned
      Parameters:
        `in` - String to be splited
        `splitter` - delimiter of items
      Returns:
        Arrays of interned Strings

    - #### internStringArray

          public static String[] internStringArray(String[] in)

      Process all strings of an array using .intern()
      Parameters:
        `in` - array of Strings to be interned
      Returns:
        array of interned string

    - #### stringArrayToString

          public static String stringArrayToString(String[] arr,
                                                   String separator)

      Concatenate all elements of input array inserting separator between each
      Parameters:
        `arr` - an array to be concatenated
        `separator` - to be inserted between each element of array
      Returns:
        string representation of the array

    - #### intArrayToString

          public static String intArrayToString(int[] arr,
                                                String separator)

      Concatenate all elements of input array inserting separator between each
      Parameters:
        `arr` - an array to be concatenated
        `separator` - to be inserted between each element of array
      Returns:
        string representation of the array

Copyright © 2022 "Tigase, Inc.". All rights reserved.